Subject: Re: Avail for test: libtool-devel-1.9f_20041024-1, libltdl6-1.9f_20041024-1
From: "Gerrit P. Haase" <[email-masked]>
To: "Peter Ekberg" <[email-masked]>
Cc: [email-masked]
Date: Mon, 25 Oct 2004 17:48:46 +0200

Peter wrote:

> Reini Urban wrote:
>> Peter Ekberg schrieb:
>>> I have one problem with libtool 1.9d, that I suspect is still present
>>> in 1.9f. If I specify -lpthread when linking, libtool searches for a

[...]

> I have this in the generated libtool script:
> --------------8<------------
> # Method to check whether dependent libraries are shared objects.
> deplibs_check_method="file_magic ^x86 archive import|^x86 DLL"

> # Command to use when deplibs_check_method == "file_magic".
> file_magic_cmd="func_win32_libid"
> --------------8<------------

> Is that what is expected?

> If I change to
> deplibs_check_method="file_magic"
> it works.

> Any suggestions?

libpthread should be in the list of libraries where these tests are
skipped, like it is for libstdc++ or libgcc and others, if it is not
included, try the snapshot Charles provided which includes probably some
more cygwin related fixes than f-d = 2 versions before the current
snapshot, and if this fails too, then please come back.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/